> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Copy an old dashboard version into a new dashboard

> Creates a private copy owned by the caller from that saved version. Requires the same read access as Duplicate.



## OpenAPI

````yaml https://app-api.costory.io/docs/openapi.json post /dashboard-v2/{id}/versions/{versionId}/copy
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /dashboard-v2/{id}/versions/{versionId}/copy:
    post:
      tags:
        - Dashboards
      summary: Copy an old dashboard version into a new dashboard
      description: >-
        Creates a private copy owned by the caller from that saved version.
        Requires the same read access as Duplicate.
      operationId: copyDashboardVersion
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: versionId
          in: path
      responses:
        '201':
          description: Dashboard copied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardIdCreated'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardError'
      security:
        - bearerAuth: []
components:
  schemas:
    DashboardIdCreated:
      type: object
      properties:
        dashboardId:
          type: string
      required:
        - dashboardId
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
    DashboardError:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.